package com.link.core.util;

import java.net.InetAddress;
import javax.servlet.http.HttpServletRequest;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class IpUtil {
   private static final Logger logger = LogManager.getLogger(IpUtil.class);

   public static String getIpAddress(HttpServletRequest request) {
      String ip = request.getHeader("x-forwarded-for");
      if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
         ip = request.getHeader("Proxy-Client-IP");
      }

      if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
         ip = request.getHeader("WL-Proxy-Client-IP");
      }

      if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
         ip = request.getRemoteAddr();
      }

      if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
         ip = request.getHeader("http_client_ip");
      }

      if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
         ip = request.getHeader("HTTP_X_FORWARDED_FOR");
      }

      if (ip != null && ip.indexOf(",") != -1) {
         ip = ip.substring(0, ip.lastIndexOf(",")).trim();
      }

      if ("127.0.0.1".equals(ip) || "0:0:0:0:0:0:0:1".equals(ip)) {
         InetAddress inet = null;

         try {
            inet = InetAddress.getLocalHost();
            ip = inet.getHostAddress();
         } catch (Exception var4) {
            Exception e = var4;
            logger.error("IpUtil捕获异常: ", e);
            ip = "127.0.0.1";
         }
      }

      return ip;
   }
}
